%define pypi_name jupyter_client

Name:           jupyter-client
Version:        4.2.2
Release:        %mkrel 1
Group:          Development/Python
Summary:        Jupyter protocol client APIs (tools)

License:        BSD
URL:            http://jupyter.org/
Source0:        https://pypi.python.org/packages/source/j/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         0001-use-setuptools-for-everything-so-the-python-Depends-.patch

BuildArch:      noarch
 
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:  pythonegg(3)(setuptools)
Requires:       python3-%{name} = %{version}-%{release}



%description
This software component contains the reference implementation
of the Jupyter protocol. It also provides client and kernel
management APIs to work with kernels and the "jupyter kernelspec"
entry point to install kernelspecs for use with Jupyter frontends.

This package contains the jupyter-kernelspec tool.


%package -n     python2-%{name}
Summary:        Jupyter protocol client APIs (Python 2)


%description -n python2-%{name}
This software component contains the reference implementation
of the Jupyter protocol. It also provides client and kernel
management APIs to work with kernels and the "jupyter kernelspec"
entry point to install kernelspecs for use with Jupyter frontends.

This package installs the library for Python 3.

%package -n     python3-%{name}
Summary:        Jupyter protocol client APIs (Python 3)


%description -n python3-%{name}
This software component contains the reference implementation
of the Jupyter protocol. It also provides client and kernel
management APIs to work with kernels and the "jupyter kernelspec"
entry point to install kernelspecs for use with Jupyter frontends.

This package installs the library for Python 3.



%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%{_bindir}/jupyter-kernelspec


%files -n python2-%{name}
%doc README.md
%license COPYING.md
%{python2_sitelib}/


%files -n python3-%{name}
%doc README.md
%license COPYING.md
%{python3_sitelib}/




%changelog
* Sun Apr 17 2016 philippem <philippem> 4.2.2-1.mga6
+ Revision: 1003257
- imported package jupyter-client

